(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     25698,        798]
NotebookOptionsPosition[     23583,        722]
NotebookOutlinePosition[     24399,        751]
CellTagsIndexPosition[     24356,        748]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "GerlingGraph.m"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"G1", "=", 
   RowBox[{"DeleteEdges", "[", 
    RowBox[{
     RowBox[{"CompleteKPartiteGraph", "[", 
      RowBox[{"4", ",", "5"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "6"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "7"}], "}"}]}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.618743643719306*^9, 3.6187436441249065`*^9}, 
   3.618747772670948*^9, 3.6187478228562365`*^9, {3.619339555308487*^9, 
   3.6193395846776876`*^9}, {3.619340333870204*^9, 3.6193403497829485`*^9}, 
   3.6193403800709143`*^9, 3.619340441991865*^9, 3.6216687971285553`*^9, {
   3.62589838493224*^9, 3.6258985120880632`*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.125}, {1., 0.25}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.125}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.125}, {1., 0.75}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.125}, {1., 1.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.375}, {1., 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.375}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.375}, {1., 0.75}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.375}, {1., 1.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.625}, {1., 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.625}, {1., 0.25}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.625}, {1., 0.75}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.625}, {1., 1.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.875}, {1., 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.875}, {1., 0.25}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.875}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.875}, {1., 0.75}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.875}, {1., 1.}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 0.125}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 0.375}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 0.625}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 0.875}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.25}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.75}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 1.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{0.49166666666666675`, 1.2583333333333333`}, {-0.05, 1.05}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{3.6258984313267217`*^9, 3.625898513601266*^9, 
  3.625899008558935*^9, 3.6258990807246623`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"BivariatesPolynom1", "[", 
   RowBox[{"G1", ",", "x", ",", "y"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6187436479157133`*^9, 3.6187436541401243`*^9}, 
   3.619339558651038*^9, 3.619340382323448*^9, 3.619340437884302*^9, 
   3.621668800326561*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"13.914999999999997`", ",", 
   RowBox[{
    SuperscriptBox["x", "9"], "+", 
    RowBox[{"1147", " ", "y"}], "-", 
    RowBox[{"1825", " ", "x", " ", "y"}], "+", 
    RowBox[{"1500", " ", 
     SuperscriptBox["x", "2"], " ", "y"}], "-", 
    RowBox[{"855", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "+", 
    RowBox[{"380", " ", 
     SuperscriptBox["x", "4"], " ", "y"}], "-", 
    RowBox[{"144", " ", 
     SuperscriptBox["x", "5"], " ", "y"}], "+", 
    RowBox[{"49", " ", 
     SuperscriptBox["x", "6"], " ", "y"}], "-", 
    RowBox[{"17", " ", 
     SuperscriptBox["x", "7"], " ", "y"}], "-", 
    RowBox[{"1942", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"2835", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"2085", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"1025", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"360", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"87", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"900", " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"1062", " ", "x", " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"558", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"149", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"107", " ", 
     SuperscriptBox["y", "4"]}], "+", 
    RowBox[{"64", " ", "x", " ", 
     SuperscriptBox["y", "4"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.5964439531289186`*^9, 3.6119131393668823`*^9, 
  3.613127133402525*^9, 3.6131272291534967`*^9, 3.6133856683620973`*^9, 
  3.6162305186640944`*^9, 3.618743655809327*^9, 3.618747827130644*^9, 
  3.619340368636988*^9, 3.619340410245127*^9, 3.621668800919362*^9, 
  3.6216688320102167`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"BivariatesPolynom2", "[", 
   RowBox[{"G1", ",", "x", ",", "y"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.618743657930931*^9, 3.618743664748143*^9}, 
   3.619339561726085*^9, 3.6193403850072393`*^9, 3.6193404365680313`*^9, 
   3.6216688218857994`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"16.646`", ",", 
   RowBox[{
    SuperscriptBox["x", "9"], "+", 
    RowBox[{"1147", " ", "y"}], "-", 
    RowBox[{"1825", " ", "x", " ", "y"}], "+", 
    RowBox[{"1500", " ", 
     SuperscriptBox["x", "2"], " ", "y"}], "-", 
    RowBox[{"855", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "+", 
    RowBox[{"380", " ", 
     SuperscriptBox["x", "4"], " ", "y"}], "-", 
    RowBox[{"144", " ", 
     SuperscriptBox["x", "5"], " ", "y"}], "+", 
    RowBox[{"49", " ", 
     SuperscriptBox["x", "6"], " ", "y"}], "-", 
    RowBox[{"17", " ", 
     SuperscriptBox["x", "7"], " ", "y"}], "-", 
    RowBox[{"1942", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"2835", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"2085", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"1025", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"360", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"87", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"900", " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"1062", " ", "x", " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"558", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"149", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"107", " ", 
     SuperscriptBox["y", "4"]}], "+", 
    RowBox[{"64", " ", "x", " ", 
     SuperscriptBox["y", "4"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.5964439553285227`*^9, 3.611913141753687*^9, 
  3.613127136686325*^9, 3.613127232514798*^9, 3.6133856704057007`*^9, 
  3.6162305200212965`*^9, 3.618743666386146*^9, 3.6187478286594467`*^9, 
  3.619340385547248*^9, 3.6193404271191363`*^9, 3.6216688487958465`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"BivariatesPolynom7", "[", 
    RowBox[{"3", ",", "4", ",", "5", ",", "x", ",", "y"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6187436689289503`*^9, 3.6187436724545565`*^9}, {
  3.619339600812936*^9, 3.6193396064542723`*^9}, {3.619340360214359*^9, 
  3.6193403630319023`*^9}, {3.621235501469391*^9, 3.6212355017657914`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.014999999999999597`", ",", 
   RowBox[{
    SuperscriptBox["x", "9"], "+", 
    RowBox[{"1147", " ", "y"}], "-", 
    RowBox[{"1825", " ", "x", " ", "y"}], "+", 
    RowBox[{"1500", " ", 
     SuperscriptBox["x", "2"], " ", "y"}], "-", 
    RowBox[{"855", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "+", 
    RowBox[{"380", " ", 
     SuperscriptBox["x", "4"], " ", "y"}], "-", 
    RowBox[{"144", " ", 
     SuperscriptBox["x", "5"], " ", "y"}], "+", 
    RowBox[{"49", " ", 
     SuperscriptBox["x", "6"], " ", "y"}], "-", 
    RowBox[{"17", " ", 
     SuperscriptBox["x", "7"], " ", "y"}], "-", 
    RowBox[{"1942", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"2835", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"2085", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"1025", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"360", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"87", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"900", " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"1062", " ", "x", " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"558", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"149", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"107", " ", 
     SuperscriptBox["y", "4"]}], "+", 
    RowBox[{"64", " ", "x", " ", 
     SuperscriptBox["y", "4"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.596443957543727*^9, 3.611913143220089*^9, 
  3.613385671170102*^9, 3.6162305207700977`*^9, 3.618743673686959*^9, 
  3.618747828815447*^9, 3.619340385597249*^9, 3.619340427149137*^9, 
  3.6212355033413944`*^9, 3.6216683888290386`*^9, 3.6216688488426466`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"ChromaticPolynomial", "[", 
    RowBox[{"G1", ",", "y"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.621668777924922*^9, 3.621668791387746*^9}, {
  3.62166883931103*^9, 3.6216688413546333`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"4.461999999999998`", ",", 
   RowBox[{
    RowBox[{"1147", " ", "y"}], "-", 
    RowBox[{"3767", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"5235", " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"4109", " ", 
     SuperscriptBox["y", "4"]}], "+", 
    RowBox[{"2027", " ", 
     SuperscriptBox["y", "5"]}], "-", 
    RowBox[{"653", " ", 
     SuperscriptBox["y", "6"]}], "+", 
    RowBox[{"136", " ", 
     SuperscriptBox["y", "7"]}], "-", 
    RowBox[{"17", " ", 
     SuperscriptBox["y", "8"]}], "+", 
    SuperscriptBox["y", "9"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6216688533354545`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"UnivariatesPolynom7", "[", 
    RowBox[{"3", ",", "4", ",", "5", ",", "y"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.621668772355712*^9, 3.6216687754601173`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.014999999999996731`", ",", 
   RowBox[{
    RowBox[{"1147", " ", "y"}], "-", 
    RowBox[{"3767", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"5235", " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"4109", " ", 
     SuperscriptBox["y", "4"]}], "+", 
    RowBox[{"2027", " ", 
     SuperscriptBox["y", "5"]}], "-", 
    RowBox[{"653", " ", 
     SuperscriptBox["y", "6"]}], "+", 
    RowBox[{"136", " ", 
     SuperscriptBox["y", "7"]}], "-", 
    RowBox[{"17", " ", 
     SuperscriptBox["y", "8"]}], "+", 
    SuperscriptBox["y", "9"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6216688534602547`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"G2", "=", 
   RowBox[{"DeleteEdges", "[", 
    RowBox[{
     RowBox[{"CompleteKPartiteGraph", "[", 
      RowBox[{"5", ",", "5"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "6"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "9"}], "}"}]}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6216688562058597`*^9, 3.6216690489441977`*^9}, {
  3.6216692672197814`*^9, 3.62166930061944*^9}, {3.6258985216196804`*^9, 
  3.625898540916914*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.}, {1., 0.25}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.}, {1., 0.75}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.}, {1., 1.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.25}, {1., 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.25}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.25}, {1., 0.75}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.25}, {1., 1.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.5}, {1., 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.5}, {1., 0.25}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.5}, {1., 0.75}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.5}, {1., 1.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.75}, {1., 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.75}, {1., 0.25}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.75}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.75}, {1., 1.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 1.}, {1., 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 1.}, {1., 0.25}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 1.}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 1.}, {1., 0.75}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 1.}, {1., 1.}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 0.25}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 0.75}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 1.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.25}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.75}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 1.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{0.49166666666666675`, 1.2583333333333333`}, {-0.05, 1.05}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{{3.6216688972183313`*^9, 3.6216690502078*^9}, 
   3.621669301695842*^9, 3.6258985423521166`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"ChromaticPolynomial", "[", 
    RowBox[{"G2", ",", "y"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.621669066572229*^9, 3.6216690667438293`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"29.859`", ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "7139"}], " ", "y"}], "+", 
    RowBox[{"23862", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"34120", " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"27997", " ", 
     SuperscriptBox["y", "4"]}], "-", 
    RowBox[{"14775", " ", 
     SuperscriptBox["y", "5"]}], "+", 
    RowBox[{"5273", " ", 
     SuperscriptBox["y", "6"]}], "-", 
    RowBox[{"1288", " ", 
     SuperscriptBox["y", "7"]}], "+", 
    RowBox[{"210", " ", 
     SuperscriptBox["y", "8"]}], "-", 
    RowBox[{"21", " ", 
     SuperscriptBox["y", "9"]}], "+", 
    SuperscriptBox["y", "10"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6216693470607214`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"UnivariatesPolynom7", "[", 
    RowBox[{"4", ",", "5", ",", "5", ",", "y"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6216690907054715`*^9, 3.621669092171874*^9}, {
  3.6216693142070637`*^9, 3.6216693149870653`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.06199999999999993`", ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "7139"}], " ", "y"}], "+", 
    RowBox[{"23862", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"34120", " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"27997", " ", 
     SuperscriptBox["y", "4"]}], "-", 
    RowBox[{"14775", " ", 
     SuperscriptBox["y", "5"]}], "+", 
    RowBox[{"5273", " ", 
     SuperscriptBox["y", "6"]}], "-", 
    RowBox[{"1288", " ", 
     SuperscriptBox["y", "7"]}], "+", 
    RowBox[{"210", " ", 
     SuperscriptBox["y", "8"]}], "-", 
    RowBox[{"21", " ", 
     SuperscriptBox["y", "9"]}], "+", 
    SuperscriptBox["y", "10"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6216693471231213`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ShowGraph", "[", 
   RowBox[{"G3", "=", 
    RowBox[{"DeleteEdges", "[", 
     RowBox[{
      RowBox[{"CompleteKPartiteGraph", "[", 
       RowBox[{"24", ",", "36"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "37"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "38"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "39"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"4", ",", "40"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"5", ",", "41"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"6", ",", "42"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"7", ",", "43"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"8", ",", "44"}], "}"}]}], "}"}]}], "]"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6258983063081017`*^9, 3.6258983453081703`*^9}, {
  3.625898546610924*^9, 3.6258986151886444`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TimeConstrained", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"BivariatesPolynom1", "[", 
     RowBox[{"G3", ",", "x", ",", "y"}], "]"}], ";"}], ",", "3600"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6259050186990156`*^9, 3.6259050190890164`*^9}}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.6259101541496353`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TimeConstrained", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"BivariatesPolynom2", "[", 
     RowBox[{"G3", ",", "x", ",", "y"}], "]"}], ";"}], ",", "3600"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.625898897923541*^9, 3.625898907579958*^9}, 
   3.625899047652604*^9}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.6259029069555073`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"Expand", "[", 
    RowBox[{"BivariatesPolynom7", "[", 
     RowBox[{"8", ",", "24", ",", "36", ",", "x", ",", "y"}], "]"}], "]"}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.6258986335186768`*^9, 3.625898645390298*^9}, 
   3.625899021943759*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"219.993`", ",", "Null"}], "}"}]], "Output",
 CellChangeTimes->{3.625899306753459*^9}]
}, Open  ]]
},
WindowSize->{607, 750},
WindowMargins->{{Automatic, 29}, {Automatic, 53}},
PrintingCopies->1,
PrintingStartingPageNumber->1,
PrintingPageRange->{32000, 32000},
PageHeaders->{{None, None, None}, {None, None, None}},
PageFooters->{{None, None, None}, {None, None, None}},
PageHeaderLines->{False, False},
PageFooterLines->{False, False},
PrintingOptions->{"FacingPages"->True,
"FirstPageFace"->Right,
"FirstPageFooter"->True,
"FirstPageHeader"->False,
"Magnification"->1.,
"PaperOrientation"->"Portrait",
"PaperSize"->{583.4399999999999, 830.04}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 58, 1, 31, "Input"],
Cell[CellGroupData[{
Cell[628, 25, 805, 19, 52, "Input"],
Cell[1436, 46, 3782, 111, 447, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5255, 162, 305, 6, 31, "Input"],
Cell[5563, 170, 1991, 53, 73, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7591, 228, 307, 6, 31, "Input"],
Cell[7901, 236, 1954, 52, 73, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9892, 293, 416, 8, 31, "Input"],
Cell[10311, 303, 1964, 52, 73, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12312, 360, 281, 6, 31, "Input"],
Cell[12596, 368, 663, 20, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13296, 393, 252, 5, 31, "Input"],
Cell[13551, 400, 666, 20, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14254, 425, 700, 19, 72, "Input"],
Cell[14957, 446, 4237, 123, 447, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19231, 574, 233, 5, 31, "Input"],
Cell[19467, 581, 744, 23, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20248, 609, 305, 6, 31, "Input"],
Cell[20556, 617, 757, 23, 55, "Output"]
}, Open  ]],
Cell[21328, 643, 972, 28, 92, "Input"],
Cell[CellGroupData[{
Cell[22325, 675, 270, 7, 31, "Input"],
Cell[22598, 684, 79, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22714, 690, 292, 8, 31, "Input"],
Cell[23009, 700, 79, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23125, 706, 314, 8, 31, "Input"],
Cell[23442, 716, 125, 3, 30, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
